// gnome.xonotic.in.ua

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/cmp1-dm2/e8jumpspawn02b
{
	q3map_lightimage textures/apocalyptic/tesla_neon2.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/apocalyptic/tesla_neon2.tga
		rgbgen identity
		tcmod rotate 760
		tcmod turb 0.7 1.1 0.4 .2
	}
	{
		map textures/apocalyptic/tesla_neon.tga
		blendfunc add
		rgbgen identity
		tcmod rotate -460
		tcmod turb 0.4 .4 0.4 .2
	}
	{
		map textures/cmp1-dm2/e8jumpspawn02b.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/cmp1-dm2/e8spawn01b
{
	qer_editorimage textures/evil8_fx/e8spawn01b.tga
	{
		map textures/apocalyptic/tesla_neon2.tga
		rgbgen identity
		tcmod turb 0 0.5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
	}
	{
		map textures/evil8_fx/e8spawn01b.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/cmp1-dm2/e8tmtllight
{
	qer_editorimage textures/evil8_lights/e8tmtllight.tga
	q3map_lightimage textures/evil8_lights/e8tmtllight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/evil8_lights/e8tmtllight.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/evil8_lights/e8tmtllight.blend.tga
		blendfunc add
	}
}

textures/cmp1-dm2/e8tmtllight2
{
	qer_editorimage textures/evil8_lights/e8tmtllight2.tga
	q3map_lightimage textures/evil8_lights/e8tmtllight2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/evil8_lights/e8tmtllight2.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/evil8_lights/e8tmtllight2.blend.tga
		blendfunc add
	}
}

textures/cmp1-dm2/e8trimlight2_blue
{
	qer_editorimage textures/evil8_trim/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	q3map_lightsubdivide 128
	q3map_backsplash 0 0
	{
		map textures/evil8_trim/e8trimlight2_blue.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/evil8_trim/e8trimlight2_blue.blend.tga
		blendfunc add
		tcmod scroll -0.7 0
	}
}

textures/cmp1-dm2/e8xgirder
{
	qer_editorimage textures/evil8_grate/e8xgirder.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/evil8_grate/e8xgirder.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/cmp1-dm2/e8xgirder_small
{
	qer_editorimage textures/evil8_grate/e8xgirder_small.tga
	cull disable
	nopicmip
	{
		map textures/evil8_grate/e8xgirder_small.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/cmp1-dm2/glass
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.40
	cull none
	surfaceparm trans
	{
		map textures/effects/tinfx3.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen identity
	}
}

textures/cmp1-dm2/logo
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/cmp1-dm2/logo.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/cmp1-dm2/neoncoil
{
	cull none
	q3map_lightimage textures/apocalyptic/tesla_neon2.tga
	qer_editorimage textures/apocalyptic/tesla_coil.tga
	q3map_surfacelight 250
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/apocalyptic/tesla_neon2.tga
		blendfunc add
		rgbgen wave sawtooth 1 3 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcmod scroll -1 -1
	}
	{
		map textures/apocalyptic/tesla_neon.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}
	{
		map textures/apocalyptic/tesla_coil.tga
		blendfunc blend
	}
}

textures/cmp1-dm2/titan_sky
{
	qer_editorimage env/titan/titan512_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 100
	q3map_sun 0.998947 1.000000 0.615735 150 280 60
	surfaceparm sky
	skyparms env/titan/titan512 - -
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/evil8_floor/e8clangfloor05b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/evil8_floor/e8clangfloor05b.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/evil8_fx/e8alphaspawn
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/evil8_fx/e8alphaspawn.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/evil8_lights/e8_rlightb
{
	qer_editorimage textures/evil8_lights/e8_rlightb.tga
	q3map_lightimage textures/evil8_lights/e8_rlightb.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/evil8_lights/e8_rlightb.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/evil8_lights/e8_rlightb.blend.tga
		blendfunc add
	}
}

textures/evil8_lights/evil8_rlight
{
	qer_editorimage textures/evil8_lights/e8_rlight.tga
	q3map_lightimage textures/evil8_lights/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/evil8_lights/e8_rlight.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/evil8_lights/e8_rlight.blend.tga
		blendfunc add
	}
}

textures/evil8_trim/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	{
		map textures/evil8_trim/e8mtltrim2.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

